- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpePsWriter Class Reference

Create Postscript file. More...

List of all members.

## Public Member Functions

- IpePsWriter (IpeTellStream &stream, const IpeDocument *doc, bool noColor)
- ~IpePsWriter ()
- bool CreateHeader (IpeString creator, int pno=0, int vno=0)
- void CreatePageView (int pno=0, int vno=0)
- void CreateXml (IpeString creator, int compressLevel)
- void CreateTrailer ()

## Detailed Description

Create Postscript file.

This class is responsible for the creation of a Postscript file from the Ipe data. You have to create an IpePsWriter first, providing a stream that has been opened for (binary) writing and is empty.

## Constructor & Destructor Documentation

IpePsWriter::IpePsWriter | ( | IpeTellStream & | stream,
|  | const IpeDocument * | doc,
|  | bool | noColor |
| ) |  |  |

Create Postscript writer operating on this (open and empty) file.

IpePsWriter::~IpePsWriter | ( |  | ) |

Destructor.

## Member Function Documentation

bool IpePsWriter::CreateHeader | ( | IpeString | creator,
|  | int | pno = `0`,
|  | int | view = `0` |
| ) |  |  |

Create the document header and prolog (the resources).

Embeds no fonts if `pool` is 0. Returns false if a TrueType font is present.

void IpePsWriter::CreatePageView | ( | int | pno = `0`,
|  | int | vno = `0` |
| ) |  |  |

Create contents and page stream for this page view.

void IpePsWriter::CreateXml | ( | IpeString | creator,
|  | int | compressLevel |
| ) |  |  |

Save Ipe information in XML format.

void IpePsWriter::CreateTrailer | ( |  | ) |

Create the trailer of the Postscsript file.

The documentation for this class was generated from the following files:

- ipepswriter.h
- ipepswriter.cpp